Package org.silverpeas.components.kmelia.servlets

## Class AjaxPublicationsListServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.components.kmelia.servlets.AjaxPublicationsListServlet

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class AjaxPublicationsListServlet
      extends javax.servlet.http.HttpServlet

  Author:
    ehugonnet
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AjaxPublicationsListServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGet​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` |
    `void` | `doPost​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse res)` |

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxPublicationsListServlet

          public AjaxPublicationsListServlet()

  - ### Method Detail

    - #### doGet

          public void doGet​(javax.servlet.http.HttpServletRequest req,
                            javax.servlet.http.HttpServletResponse res)

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`

    - #### doPost

          public void doPost​(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse res)
                      throws IOException

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Throws:
        `IOException`